Skip to main content
PATCH
A command to modify an existing company, including identification, contact, banking, and tax information.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

companyId
string<uuid>
required

Represents a key for identifying a firm within the application.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

Request parameters

A command to modify an existing company, including identification, contact, banking, and tax information. - Request

companyName
string

The name of the company.

owner
string

The owner of the company.

street
string

The street address of the company.

postalCode
string

The postal code of the company.

city
string

The city of the company.

country
string

The country name of the company.

countryIsoCode
string

The country ISO code of the company.

phone
string

The phone number of the company.

fax
string

The fax number of the company.

emailAddress
string

The email address of the company.

website
string

The website URL of the company.

bankCode
string

The bank code of the company.

accountNumber
string

The bank account number of the company.

bankName
string

The bank name of the company.

taxId
string

The tax identification number of the company.

iBAN
string

The International Bank Account Number (IBAN) of the company.

bIC
string

The Bank Identifier Code (BIC) of the company.

accountHolder
string

The account holder name of the company.

creditorId
string

The creditor ID for SEPA direct debit.

payPalEmailAddress
string

The PayPal email address of the company.

isSmallBusinessOwner
boolean

A value indicating whether the owner of the company is a small business owner (Kleinunternehmer). This affects the VAT handling of the company.

dHLIntrashipCustomerId
string

The DHL Intraship customer ID of the company.

uPSCustomerId
string

The UPS customer ID of the company.

companyVatIdentifiers
object[]

The collection of VAT identifiers for this company. When provided, replaces all existing VAT identifiers.

Response

Company was successfully modified

A command to modify an existing company, including identification, contact, banking, and tax information. - Response

id
string<uuid>
required

Unique ID of the modified company.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

companyName
string
required

Name of the company.

owner
string
required

Owner of the company.

street
string
required

Street address of the company.

postalCode
string
required

Postal code of the company.

city
string
required

City of the company.

country
string
required

Country of the company.

countryIsoCode
string
required

Country ISO code.

phone
string
required

Phone number of the company.

fax
string
required

Fax number of the company.

emailAddress
string
required

Email address of the company.

website
string
required

Website of the company.

bankCode
string
required

Bank code.

accountNumber
string
required

Bank account number.

bankName
string
required

Name of the bank.

taxId
string
required

Tax identification number.

iBAN
string
required

International Bank Account Number.

bIC
string
required

Bank Identifier Code.

accountHolder
string
required

Bank account holder name.

creditorId
string
required

Creditor identification number.

payPalEmailAddress
string
required

PayPal email address of the company.

isSmallBusinessOwner
boolean
required

Indicates if the company is a small business owner.

dHLIntrashipCustomerId
string
required

DHL Intraship customer Id for shipping.

uPSCustomerId
string
required

UPS customer Id for shipping.

companyVatIdentifiers
object[]
required

List of company VAT identifiers.